Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2225718 - babel: FTBFS in Fedora rawhide/f39
Summary: babel: FTBFS in Fedora rawhide/f39
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: babel
Version: 39
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Python Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F39FTBFS F40FTBFS PYTHON3.12
TreeView+ depends on / blocked
 
Reported: 2023-07-25 17:14 UTC by Fedora Release Engineering
Modified: 2023-09-27 01:34 UTC (History)
5 users (show)

Fixed In Version: babel-2.12.1-6.fc39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-09-27 01:34:04 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2023-07-25 17:14 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2023-07-25 17:14 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2023-07-25 17:14 UTC, Fedora Release Engineering
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Fedora Package Sources babel pull-request 14 0 None None None 2023-09-21 11:51:52 UTC
Github python-babel babel issues 1005 0 None open Test failures with Python 3.12.0b1 2023-08-25 05:45:45 UTC
Github python-babel babel pull 1027 0 None open Add f-string parsing for Python 3.12 (PEP 701) 2023-09-21 11:42:38 UTC

Description Fedora Release Engineering 2023-07-25 17:14:01 UTC
babel failed to build from source in Fedora rawhide/f39

https://koji.fedoraproject.org/koji/taskinfo?taskID=103559257


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild
Please fix babel at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
babel will be orphaned. Before branching of Fedora 40,
babel will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2023-07-25 17:14:07 UTC
Created attachment 1977632 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2023-07-25 17:14:11 UTC
Created attachment 1977633 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2023-07-25 17:14:14 UTC
Created attachment 1977634 [details]
state.log

Comment 4 Felix Schwarz 2023-07-25 17:40:24 UTC
I don't have time to look into that but here is an upstream issue for test failures with Python 3.12: https://github.com/python-babel/babel/issues/1005

Comment 5 Fedora Release Engineering 2023-08-16 07:54:52 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 39 development cycle.
Changing version to 39.

Comment 6 Miro Hrončok 2023-08-25 05:45:46 UTC
This needs to be fixed for next RHEL. Hence assigning to Python Maint based on comment 4.

Comment 7 Petr Viktorin (pviktori) 2023-09-21 11:42:38 UTC
Here's an upstream patch, will send a Fedora PR.

Comment 8 Fedora Update System 2023-09-21 13:54:14 UTC
FEDORA-2023-8b99c2a8e7 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-8b99c2a8e7

Comment 9 Fedora Update System 2023-09-22 01:41:11 UTC
FEDORA-2023-8b99c2a8e7 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-8b99c2a8e7`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-8b99c2a8e7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2023-09-27 01:34:04 UTC
FEDORA-2023-8b99c2a8e7 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.